package Net::Ajp13::HttpServlet;
use strict;


sub new {
    my $class = shift;
    bless {}, $class;
}

sub init {
    my $self = shift;
    return;
}

sub destroy {
    my $self = shift;
    return;
}


sub service {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    return $self->do_head($request, $response) if $request->method eq 'HEAD';
    return $self->do_get($request, $response) if $request->method eq 'GET';
    return $self->do_post($request, $response) if $request->method eq 'POST';
    return $self->do_put($request, $response) if $request->method eq 'PUT';
    return $self->do_delete($request, $response) if $request->method eq 'DELETE';
    return $self->do_options($request, $response) if $request->method eq 'OPTIONS';
    return $self->do_trace($request, $response) if $request->method eq 'TRACE';
}

sub do_delete {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_get {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_head {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_options {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_post {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_put {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}

sub do_trace {
    my $self = shift;
    my $request = shift;
    my $response = shift;

    $response->status(405); # HTTP_METHOD_NOT_ALLOWED
}


sub get_last_modified {
    my $self = shift;
    my $request = shift;

    return 0;
}


sub get_servlet_info {
    my $self = shift;
}

1;
__END__
