package Net::Ajp13::Session;
use strict;

sub new {
    my $class = shift;
    my $manager = shift;
    my $id = shift;

    bless {
        manager => $manager,
        id => $id,
    }, $class;
}

sub get_id {
    my $self = shift;
    $self->{id};
}

sub get_manager {
    my $self = shift;
    $self->{manager};
}

sub attribute {
    my $self = shift;
    my $key = shift;
    $self->get_manager->attribute($self->get_id, $key, shift) if @_;
    $self->get_manager->attribute($self->get_id, $key);
}

sub destroy {
    my $self = shift;
    $self->get_manager->destroy_by_id($self->get_id);
}

1;
__END__
