package webapp::mod_perl::default;
use strict;
use Apache::Constants qw(OK DECLINED FORBIDDEN);


sub handler {
    my $r = shift;

    $r->content_type('text/html; Charset=EUC-JP');
    $r->send_http_header();
    my $fmt = <<__HTML__;
<html>
  <head><title>mod_perl enb</title></head>
  <body>
    <h1>Atami mod_perl container</h1>
    <hr />
    URI: %s<br />
    QUERY_STRING: %s<br />
  </body>
</html>
__HTML__

    $r->print(sprintf $fmt, $r->uri, $r->args);

    return OK;
}

1;
__END__
