package webapp::tartest::default;
use base 'Net::Ajp13::HttpServlet';
use strict;

sub do_get {
    my $self = shift;
    my $req = shift;
    my $res = shift;

    my $session = $req->session;
    $session->attribute('count', $session->attribute('count') + 1);

    $res->content_type('text/html');
    my $fmt = <<__HTML__;
<html>
  <head>
    <title>Tar archive default</title>
  </head>
  <body>
    Query_STRING:%s<br />
    Method:    %s<br />
    URI:       %s<br />
    Param Key: %s<br />
    Access count %d<br />
  </body>
</html>
__HTML__
    $res->printf($fmt,
        $req->query_string, $req->method, $req->uri, $req->get_parameter('key'),
        $session->attribute('count'),
    );

    $res->close;
}

1;
__END__
